OpenAI
Retrieve file
Return details of a single file.
Upload a file first, then replace the example file ID with its returned ID.
GET
/openai/v1/files/{file_id}● SupportedRequest parameters
file_idstring必填path: The ID of the file to use for this request.
Returns
200 file
Errors follow the OpenAI format — see error codes
Response
HTTP 200
OK
application/json
| Name | Type | Description |
|---|---|---|
| id | string | The file identifier, which can be referenced in the API endpoints. |
| bytes | integer | The size of the file, in bytes. |
| created_at | integer | The Unix timestamp (in seconds) for when the file was created. |
| expires_at | integer | The Unix timestamp (in seconds) for when the file will expire. |
| filename | string | The name of the file. |
| object | string | The object type, which is always `file`. |
| purpose | string | The intended purpose of the file. Supported values are `assistants`, `assistants_output`, `batch`, `batch_output`, `fine-tune`, `fine-tune-results`, `vision`, and `user_data`. |
| status | string | Deprecated. The current status of the file, which can be either `uploaded`, `processed`, or `error`. |
| status_details | string | Deprecated. For details on why a fine-tuning training file failed validation, see the `error` field on `fine_tuning.job`. |